ServerEvents.recipes(event => {

  // Atomic Reconstructor (Laser): Amethyst Block -> Quartz Block
  event.recipes.actuallyadditions
    .laser("minecraft:quartz_block", "minecraft:amethyst_block")
    .energy(500)

  // Atomic Reconstructor (Laser): Amethyst Shard -> Quartz
  event.recipes.actuallyadditions
    .laser("minecraft:quartz", "minecraft:amethyst_shard")
    .energy(500)

  // Atomic Reconstructor (Laser): GeOre Blocks -> Budding GeOre Blocks
  const GEORES = [
    "copper",
    "gold",
    "emerald",
    "nickel",
    "iron",
    "redstone",
    "coal",
    "lapis",
    "quartz"
  ]

  GEORES.forEach(ore => {
    event.recipes.actuallyadditions
      .laser(`geore:budding_${ore}`, `geore:${ore}_block`)
      .energy(200000)
  })

  // Atomic Reconstructor (Laser): Milk Bucket -> Slime Block
  event.recipes.actuallyadditions
    .laser("minecraft:slime_block", "minecraft:milk_bucket")
    .energy(500)

})

